Undo/Redo doesn't work in Chrome/Chromium/Firefox for WikiEditor 0.3.1 in MW 1.19.2
Closed, InvalidPublic

Description

Author: kartiksinghal

Description:
I am using WikiEditor 0.3.1 in my mediawiki (1.19.2) installation and found that for some weird reason, undo/redo (Ctrl+Z and Ctrl+Shift+Z) doesn't work in the editor with Chrome, Chromium and Firefox browsers; while it works for Rekonq and default KDE webbrowser.

I found T33780 - a slightly different but probably relevant bug report.

Also, undo works just fine in default VisualEditor in Chrome.

Interesting point to notice is that Undo/Redo work fine even on WikiEditor used on Wikipedia, but not in my mediawiki instance, looks like some good changes not pushed to upstream yet.

I also tried test2.wikipedia.org, it works fine there as well.


Version: REL1_19-branch
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=31780

bzimport added a project: WikiEditor.Via ConduitNov 22 2014, 12:51 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz43187.
bzimport created this task.Via LegacyDec 17 2012, 4:17 AM
happy5214 added a subscriber: happy5214.Via WebDec 2 2014, 4:07 PM

This has probably already been fixed. I have no issues with undo/redo in Firefox on my local wiki running MW 1.23 and WikiEditor from master.

happy5214 edited the task description. (Show Details)Via WebDec 8 2014, 10:25 AM
happy5214 set Security to None.
TheDJ closed this task as "Invalid".Via WebMar 21 2015, 9:11 AM
TheDJ claimed this task.

Add Comment